Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.api
Interface ECReport

All Known Subinterfaces:
  ECCountReport, ECListReport

public interface ECReport

This interface defines the methods which are common to all event cycle report types.

Method Summary
`java.lang.String` | `getApplicationData()` Gets the application data String provided in the ECReportSpec for this report.
`int` | `getCount()` Returns the total number of EPCs summed over all the groups included in this report
`java.util.List` | `getEPCs()` Returns a list of EPCs for all groups contained in this report.
`ECReportGroup` | `getGroup(java.lang.String reportGroupName)` Return the ECReportGroup with matching name
`java.util.List` | `getGroups()` Returns the list of ECReportGroup instances
`java.lang.String` | `getName()` Gets the name of this report
`boolean` | `hasCount()` Returns true if the ECReport contains a count of EPCs
`boolean` | `hasList()` Returns true if the ECReport contains a list of EPCs

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of this report

### getApplicationData

    public java.lang.String getApplicationData()

  Gets the application data String provided in the ECReportSpec for this report.

### getCount

    public int getCount()

  Returns the total number of EPCs summed over all the groups included in this report

  Returns:
    Total EPC count for this report

### getEPCs

    public java.util.List getEPCs()

  Returns a list of EPCs for all groups contained in this report. EPC URIs are in tag format, if includeTag is true, otherwise null.

  Returns:
    List object containing EPC java.net.URI objects.

### getGroups

    public java.util.List getGroups()

  Returns the list of ECReportGroup instances

  Returns:
    List of ECReportGroup instances

### getGroup

    public ECReportGroup getGroup(java.lang.String reportGroupName)

  Return the ECReportGroup with matching name

  Returns:
    The group with the corresponding group name, null if group name is not part of the group. If group name is null, then returns the default group.

### hasList

    public boolean hasList()

  Returns true if the ECReport contains a list of EPCs

### hasCount

    public boolean hasCount()

  Returns true if the ECReport contains a count of EPCs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD